// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/vis/posperipherals/drawer/drawer.proto

package drawer

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type OpenDrawerRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Token string `protobuf:"bytes,1,opt,name=token,proto3" json:"token,omitempty"`
}

func (x *OpenDrawerRequest) Reset() {
	*x = OpenDrawerRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_posperipherals_drawer_drawer_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *OpenDrawerRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*OpenDrawerRequest) ProtoMessage() {}

func (x *OpenDrawerRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_posperipherals_drawer_drawer_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use OpenDrawerRequest.ProtoReflect.Descriptor instead.
func (*OpenDrawerRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_posperipherals_drawer_drawer_proto_rawDescGZIP(), []int{0}
}

func (x *OpenDrawerRequest) GetToken() string {
	if x != nil {
		return x.Token
	}
	return ""
}

var File_vseth_vis_posperipherals_drawer_drawer_proto protoreflect.FileDescriptor

var file_vseth_vis_posperipherals_drawer_drawer_proto_rawDesc = []byte{
	0x0a, 0x2c, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x70, 0x6f, 0x73, 0x70,
	0x65, 0x72, 0x69, 0x70, 0x68, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x2f, 0x64, 0x72, 0x61, 0x77, 0x65,
	0x72, 0x2f, 0x64, 0x72, 0x61, 0x77, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1f,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x6f, 0x73, 0x70, 0x65, 0x72,
	0x69, 0x70, 0x68, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x2e, 0x64, 0x72, 0x61, 0x77, 0x65, 0x72, 0x1a,
	0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x29, 0x0a, 0x11,
	0x4f, 0x70, 0x65, 0x6e, 0x44, 0x72, 0x61, 0x77, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73,
	0x74, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x05, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x32, 0x62, 0x0a, 0x06, 0x44, 0x72, 0x61, 0x77, 0x65,
	0x72, 0x12, 0x58, 0x0a, 0x0a, 0x4f, 0x70, 0x65, 0x6e, 0x44, 0x72, 0x61, 0x77, 0x65, 0x72, 0x12,
	0x32, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x6f, 0x73, 0x70,
	0x65, 0x72, 0x69, 0x70, 0x68, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x2e, 0x64, 0x72, 0x61, 0x77, 0x65,
	0x72, 0x2e, 0x4f, 0x70, 0x65, 0x6e, 0x44, 0x72, 0x61, 0x77, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x1a, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x42, 0x7e, 0x0a, 0x22, 0x63,
	0x68, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x70, 0x6f, 0x73, 0x70,
	0x65, 0x72, 0x69, 0x70, 0x68, 0x65, 0x72, 0x61, 0x6c, 0x73, 0x2e, 0x64, 0x72, 0x61, 0x77, 0x65,
	0x72, 0x5a, 0x58, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63,
	0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67,
	0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72, 0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f, 0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x70, 0x6f, 0x73, 0x70, 0x65, 0x72, 0x69, 0x70, 0x68, 0x65,
	0x72, 0x61, 0x6c, 0x73, 0x2f, 0x64, 0x72, 0x61, 0x77, 0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_vseth_vis_posperipherals_drawer_drawer_proto_rawDescOnce sync.Once
	file_vseth_vis_posperipherals_drawer_drawer_proto_rawDescData = file_vseth_vis_posperipherals_drawer_drawer_proto_rawDesc
)

func file_vseth_vis_posperipherals_drawer_drawer_proto_rawDescGZIP() []byte {
	file_vseth_vis_posperipherals_drawer_drawer_proto_rawDescOnce.Do(func() {
		file_vseth_vis_posperipherals_drawer_drawer_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_vis_posperipherals_drawer_drawer_proto_rawDescData)
	})
	return file_vseth_vis_posperipherals_drawer_drawer_proto_rawDescData
}

var file_vseth_vis_posperipherals_drawer_drawer_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_vseth_vis_posperipherals_drawer_drawer_proto_goTypes = []interface{}{
	(*OpenDrawerRequest)(nil), // 0: vseth.vis.posperipherals.drawer.OpenDrawerRequest
	(*emptypb.Empty)(nil),     // 1: google.protobuf.Empty
}
var file_vseth_vis_posperipherals_drawer_drawer_proto_depIdxs = []int32{
	0, // 0: vseth.vis.posperipherals.drawer.Drawer.OpenDrawer:input_type -> vseth.vis.posperipherals.drawer.OpenDrawerRequest
	1, // 1: vseth.vis.posperipherals.drawer.Drawer.OpenDrawer:output_type -> google.protobuf.Empty
	1, // [1:2] is the sub-list for method output_type
	0, // [0:1] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_vseth_vis_posperipherals_drawer_drawer_proto_init() }
func file_vseth_vis_posperipherals_drawer_drawer_proto_init() {
	if File_vseth_vis_posperipherals_drawer_drawer_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_vis_posperipherals_drawer_drawer_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*OpenDrawerRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_vis_posperipherals_drawer_drawer_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_vis_posperipherals_drawer_drawer_proto_goTypes,
		DependencyIndexes: file_vseth_vis_posperipherals_drawer_drawer_proto_depIdxs,
		MessageInfos:      file_vseth_vis_posperipherals_drawer_drawer_proto_msgTypes,
	}.Build()
	File_vseth_vis_posperipherals_drawer_drawer_proto = out.File
	file_vseth_vis_posperipherals_drawer_drawer_proto_rawDesc = nil
	file_vseth_vis_posperipherals_drawer_drawer_proto_goTypes = nil
	file_vseth_vis_posperipherals_drawer_drawer_proto_depIdxs = nil
}
